JavaScript
import Inbound from 'inboundemail';
const client = new Inbound({
apiKey: process.env['INBOUND_API_KEY'], // This is the default and can be omitted
});
const endpoint = await client.endpoints.retrieve('id');
console.log(endpoint.id);curl --request GET \
--url https://inbound.new/api/e2/endpoints/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://inbound.new/api/e2/endpoints/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
{
"id": "<string>",
"name": "<string>",
"config": "<unknown>",
"isActive": true,
"description": "<string>",
"userId": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"groupEmails": [
"<string>"
],
"deliveryStats": {
"total": 123,
"successful": 123,
"failed": 123,
"lastDelivery": "<string>"
},
"recentDeliveries": [
{
"id": "<string>",
"emailId": "<string>",
"deliveryType": "<string>",
"status": "<string>",
"attempts": 123,
"lastAttemptAt": "<string>",
"responseData": "<unknown>",
"createdAt": "<string>"
}
],
"associatedEmails": [
{
"id": "<string>",
"address": "<string>",
"isActive": true,
"createdAt": "<string>"
}
],
"catchAllDomains": [
{
"id": "<string>",
"domain": "<string>",
"status": "<string>"
}
]
}{
"error": "<string>",
"message": "<string>",
"statusCode": 123
}{
"error": "<string>"
}{
"error": "<string>",
"message": "<string>",
"statusCode": 123
}Endpoints
Get endpoint details
Get detailed information about a specific endpoint including delivery stats, recent deliveries, associated emails, and catch-all domains
GET
/
api
/
e2
/
endpoints
/
{id}
JavaScript
import Inbound from 'inboundemail';
const client = new Inbound({
apiKey: process.env['INBOUND_API_KEY'], // This is the default and can be omitted
});
const endpoint = await client.endpoints.retrieve('id');
console.log(endpoint.id);Authorizations
Your Inbound API key. Include it in the Authorization header as: Bearer
Path Parameters
Response
Response for status 200
Available options:
webhook, email, email_group Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I